# 32/64bit spec
#
Name:           atanks
Version:        6.5
Release:        %mkrel 1
Summary:        Scorched Earth game clone
Summary(de):	Spiel im Stil von Scorched Earth
License:        GPLv2+
Group:          Games/Arcade
Url:            http://atanks.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/atanks/atanks-%{version}.tar.xz
Source3:        %{name}-16.png
Source4:        %{name}-32.png
Source5:        %{name}-48.png
Patch0:		atanks-4.8-link.patch
Patch1:		atanks-4.5-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  %{_lib}allegro4-devel
Requires:	allegro 


%description
This is Atomic Tanks, a multi-player game similar to Scorched Earth
which involves firing enormous weapons to try and destroy the other
tanks.

%description -l de
Dies ist Atomic Tanks, ein Mehrspielerspiel ähnlich Scorched Earth, welches 
das feuern mit enormen Waffen beinhaltet, um die anderen Panzer zu zerstören.

%prep
%setup -q

%build
%{make} \
    CC="%{__cxx}" OFLAGS="%{optflags}" INSTALLDIR=%_gamesdatadir/%name

%install
%{__rm} -rf %{buildroot}

%makeinstall_std BINDIR=%_gamesbindir INSTALLDIR=%_gamesdatadir/%name

#to make rpmlint happy
%{__perl} -pi -e "s/\r$//g" %{buildroot}%{_gamesdatadir}/%{name}/tanks.txt

%{__chmod} 644 %{buildroot}%{_gamesdatadir}/%{name}/*
%{__chmod} 755 %{buildroot}%{_gamesdatadir}/%{name}/*/

# Menu
%{__mkdir_p} %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}

%{__install} -D -m 644 %{SOURCE3} %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -D -m 644 %{SOURCE4} %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -D -m 644 %{SOURCE5} %{buildroot}%{_liconsdir}/%{name}.png


%{__mkdir_p} %{buildroot}%{_datadir}/applications
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
%{__cat} > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=ATanks
Comment=Scorched Earth game clone
Comment[de]=Spiel im Stil von Scorched Earth
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc Changelog COPYING README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/*


%changelog
* Sun May 31 2020 ghostbunny <ghostbunny at gmx dot de> 6.5-1pclos2020
- 6.5

* Fri Apr 04 2014 ghostbunny <ghostbunny at gmx dot de> 5.9-1pclos2014
- 5.9

* Sat Dec 21 2013 ghostbunny <ghostbunny at gmx dot de> 5.7-1pclos2013
- 5.7

* Sun May 27 2012 ghostbunny <ghostbunny at gmx dot de> 5.5-1pclos2012
- 5.5
- added german summary, description and comment
- added %{_lib} macro
- commented patches 
- added %{_iconsdir}/hicolor/48x48/apps/%{name}.png to files section

* Wed Mar 09 2011 Texstar <texstar at gmail.com> 4.8-1pclos2011
- 4.8

* Fri May 21 2010 pcserver <pcserver at inbox.com> 4.5-1pclos2010
- 4.5 update for 2010 release


* Thu Jun 29 2007 Texstar <texstar@gmail.com> 2.4-1pclos2007
- import into pclos 2007

